Device - Update File Upload Status
Metode ini digunakan untuk memberi tahu hub IoT tentang pengunggahan file yang telah selesai. Lihat https://docs.microsoft.com/azure/iot-hub/iot-hub-devguide-file-upload untuk informasi lebih lanjut.
POST https://fully-qualified-iothubname.azure-devices.net/devices/{deviceId}/files/notifications?api-version=2020-03-13
Parameter URI
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
device
|
path | True |
|
ID perangkat. |
|
api-version
|
query | True |
|
Versi Api. |
Isi Permintaan
| Name | Type | Description |
|---|---|---|
| correlationId |
|
|
| isSuccess |
|
|
| statusCode |
|
|
| statusDescription |
|
Respons
| Name | Type | Description |
|---|---|---|
| 204 No Content |
Objek status penyelesaian Upload file |
Definisi
FileUploadCompletionStatus
| Name | Type | Description |
|---|---|---|
| correlationId |
|
|
| isSuccess |
|
|
| statusCode |
|
|
| statusDescription |
|